Subject: Re: [PATCH] git-gui: Add shortcut keys for Show More/Less Context

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 29 Mar 2008 01:44:40 -0400

Jonathan del Strother <[email-masked]> wrote:
> Bound to Ctrl/Cmd (depending on your platform) + left & right square brackets.
> ---
> 
> I'm not at all familiar with Tcl, so I apologise in advance for any
> wrongness.  I frequently find myself repeatedly right-clicking->Show
> Less Context in order to stage a specific hunk, seems like a shortcut
> for this would be useful.  Thoughts?

Looks good to me.  FWIW your patch was sent with a content-type of
format=flawed, so I had to manually unwrap the diff hunk headers
to get it to apply.

I think we should also put these into the menu bar too, like say
the commit menu, so users can see what the keyboard action is to
invoke the increase/decrease.

Also, missing a Signed-off-by line.  If you can contribute
this change according to the statement outlined in
Documentation/SubmittingPatches please send me one.
 
-- 
Shawn.